const redirectToPreferedHome = () => {
    let tabPgSettings = browser.storage.local.get();
    tabPgSettings.then(finishLoad, onError);
}

const finishLoad = (toLoadSettings) => {
    let loadSelectedPage = browser.tabs;
    let pageToLoad = toLoadSettings.userSelectedTabPage;

    console.log("Trying to load settings if any...");
    if (pageToLoad !== "Default" && pageToLoad !== undefined) {
        loadSelectedPage.update({url: pageToLoad});
    } else {
        loadSelectedPage.update({url: "https://www.google.com/"});
    }
}

const onError = (error) => { console.log(`Error: ${error}`); }
redirectToPreferedHome();
